@import "reset.css";
@import "fonts.css";
@import "all.css";

.body-wrapper {
  
    background-image: url(../img/background.png);
    background-repeat: no-repeat;
    background-position: center;
    background-attachment: fixed;
    background-size: cover;
    box-sizing: border-box;
    text-transform: capitalize;
    font-family: 'Ubuntu', sans-serif;
    font-size: 14px;
    }
.clearfix {clear: both;} 
a {
  box-sizing: border-box;
  display: inline-block;
  text-decoration: none;
  cursor: url(../img/cursor_href.png), pointer;
  color: #3CB878;
    }
a:active {transform: scale(1.1);}
   /* -----------------------------HEADER---------------------- */
  .header {
    font-size: 22px;
    background-color: rgba(0, 0, 0, 0.41);
    /* opacity: 0.41; */
    height: 66px;
    color: white;
    }
  .header-container {
    display: flex;
    justify-content: space-between;
    padding-top: 1em;
    padding-bottom: 1em;
    margin-left: 10%;
    margin-right: 10%;
  }
#logo {display: inline-block;
  margin-right: 10px;
  color: white;
  text-transform: uppercase;
  font-weight: bold;}
  
#logo:hover {color: #3CB878;} 
.header-nav-bar {display: flex; box-sizing: border-box;}
.nav-bar-icons { border-right: 1.3px solid #bebebe;}
.nav-bar-items {
  
  margin-left: 28px; 
  text-transform: none;
font-size: 16px;
word-spacing: 4px;}
.calendar {
  background-image: url(../img/nav.png);
  width: 20px;
  height: 20px;
  background-position: -5px -5px;
  }
  .calendar:hover {background-position: -35px -5px;}

.forum {
  background-image: url(../img/nav.png);
  width: 28px;
  height: 20px;
  background-position: -64px -5px;
}
.forum:hover {background-position: -102px -5px;}

.compas {
  background-image: url(../img/nav.png);
  width: 20px;
  height: 20px;
  background-position: -140px -5px;
}
.compas:hover {background-position: -170px -5px;}

.nav-icon {
  display: inline-block;
  background-image: url(../img/nav.png);
  margin-right: 28px;}
 
/* ------------MAIN----------------- */
main { 
  height: calc(100vh - 66px);
  /* background-color: hotpink; */
  box-sizing: border-box;
}
  .form-container {
    box-sizing: border-box;
    font-size: 14px;
      /* margin: auto; */
      max-width: 444px;
      max-height: 595px;
      position: relative;
      background-color: white;
      border-radius: 8px;
      left: 50%;
      top: 50%;
      transform: translate(-50%, -50%); 
  }
  .sign {
    position: absolute;
    width: 18px;
    height: 18px;
    background-color: #3CB878;
    top: 30px;
  }
  .form-container-box {
    box-sizing: border-box;
    margin: 0 60px;
  }
  .form-header {
    padding-top: 30px;
    padding-bottom: 18px;
  }
  .sign_up {
    float: left;
    font-size: 20px;
    }
  .log_in {float: right;}
  
       .button {
        box-sizing: border-box;
        color: white;
        text-align: center;
        /* display: inline-block; */
        font-size: 16px;
        padding: 17px 0;
        width: 49.1%;
        border-radius: 4px;
      } 
      
          .icon {
            box-sizing: border-box;
            display: inline-block;
            width: 30%;
            border-right: 1px solid grey;
            font-size: 20px;
  
          }
          .button-name {
            display: inline-block;
            width: 67%;
              
            }
.first { background-color: #305DB8; float: left;}
.second {background-color: #DF4A32; float: right;} 
.form-list {
  /* display: flex;
  flex-direction: column; */
box-sizing: border-box;
max-width: 100%;
padding-bottom: 30px;
}
.separator {
  position: relative;
  text-transform: none;
  color: #848484;
  font-weight: 500;
  padding-top: 21px;
  padding-bottom: 16px;
  text-align: center;
}
 .separator::before {
position: absolute;
content: '';
display: block;
top:50%;
left: 0%;
border-bottom: 1.3px solid #bebebe;
width:43%; 
} 
.separator::after {
  position: absolute;
  content: '';
  display: block;
  top:50%;
  border-bottom: 1.3px solid #bebebe;
  width:43%;
  right: 0%;
  }


/* 
.form-box-list {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  box-sizing: border-box;
  width: 322px;
  border: 1px solid green
} */
  
  .submit {background-color: #3CB878; color: white; 
    margin-top: 26px;
  }
  .submit:active {transform: scale(1.05);}
  input {outline:none;}
  .form-points {
      box-sizing: border-box;
      width: 100%;
      margin-bottom: 0.75em;
      font-size: 14px;
      border-radius: 0.35em;
      border: 1px solid #e7e4e4;
      padding: 1em 1.5em;
        }
input:focus {border: 1.5px solid #3CB878;}
.form-points::placeholder {color: #bebebe;}
.info:focus {
  box-shadow: 2px 6px 53px -4px rgba(73,148,84,1);
  transform: scale(1.02);}

#checkbox {
  /* position: absolute;
  box-sizing: border-box;
  width: 20px;
  height: 20px;
  left: -24px;
  top: 20%;
  transform: translate(-50%, -50%);
  z-index: -1; */
  display: none;
}     
.checkbox {position: relative;
display: inline-block;
height: 30px;
left: 34px;
top: 13px;}

.checkbox::before {
    content: "";
  display: inline-block;
  background-color:white;
  position: absolute;
  left: -24px;
  top: 20%;
  transform: translate(-50%, -50%);
  /* top: 50%;
  left: 50%;
  transform: translate(-50%, -50%); */
  width: 20px;
  height: 20px;
  border: 2px solid #bebebe;
  transition: ease .3s;
}
#checkbox:checked + .checkbox::before {
  background: url(../img/vector.png) center/contain;
  border: 2px solid #bebebe;
}


  

